--█▀▀▀█ █▀▀ █░░█ █▀▀█ █▀▀█ ▀▀█▀▀ ▀▀█
--▀▀▀▄▄ █░░ █▀▀█ █░░█ █░░█ ░░█░░ ▄▀░
--█▄▄▄█ ▀▀▀ ▀░░▀ ▀▀▀▀ ▀▀▀▀ ░░▀░░ ▀▀▀
-- Sistema Desenvolvido por @Schootz

config = {
    ['Geral'] = {
        CorPainel = tocolor(73, 166, 252, 255), -- Cor do painel
        dataPontos = 'Schootz.Pontos', -- Elementdata dos pontos do seu servidor
        nomePontos = 'Alpha Points', -- Nome dos pontos
        delaySalario = 1440, -- 24 horas,
        weaponDefault = false, -- Se a arma e padrão do jogo ou por inventario
        nomeGerenciador = '[P]Gerenciador', -- Nome do seu script de gerenciador
    },
    ['VIPs'] = { -- Nome dos VIPs tem que ser iguais da acl do painel p
        {'Omega'},
        {'Sigma'},
        {'Epsylon'},
        {'Alpha'},
    },
    ['Omega'] = { -- Nome do vip igual a cima
        ['Veiculos'] = {
            {'Veículo', 402, 'vehicle'}, -- Nome -- ID -- Tipo
            {'Moto', 521, 'vehicle'},
        },
        ['Armamentos'] = {
            {'AK-47', 44, 'weapon', 1}, -- Nome - ID - Tipo - Quantia
            {'MP5', 45, 'weapon', 1},
            {'Glock', 47, 'weapon', 1},
        },
        ['Personagens'] = {
            {'Personagem 1', 1, 'personage'}, -- Nome - ID - Tipo
            {'Personagem 2', 2, 'personage'},
            {'Personagem 3', 3, 'personage'},
            {'Personagem 4', 4, 'personage'},
        },
        ['Outros'] = {
            {'Vida', 50, 'vida'}, -- Nome - Porcetagem -- tipo
            {'Colete', 100, 'colete'}, -- Nome - Porcetagem -- tipo
            {'Kit de Reparo', 10, 'inventario', 1}, -- Nome - ID -- tipo - quantia
        },
        ['Salario'] = 50000, -- Salario
        ['Cooldown'] = 60 -- em segundos
    },
    ['Sigma'] = {
        ['Veiculos'] = {
            {'Veículo', 503, 'vehicle', 120},
            {'Moto', 521, 'vehicle', 120},
        },
        ['Armamentos'] = {
            {'AK-47', 44},
            {'MP5', 45},
            {'Glock', 47},
        },
        ['Personagens'] = {
            {'Personagem 1', 461},
            {'Personagem 2', 461},
            {'Personagem 3', 461},
        },
        ['Outros'] = {
            {'Vida', 461},
            {'Colete', 461},
            {'Kit de Reparo', 461},
            {'Bandagem', 461},
        },
        ['Salario'] = 40000,
        ['Cooldown'] = 120 -- em segundos
    },
    ['Epsylon'] = {
        ['Veiculos'] = {
            {'Veículo', 402},
            {'Moto', 521},
        },
        ['Armamentos'] = {
            {'MP5', 45},
            {'Glock', 47},
        },
        ['Personagens'] = {
            {'Personagem 1', 461},
            {'Personagem 2', 461},
        },
        ['Outros'] = {
            {'Vida', 461},
            {'Colete', 461},
            {'Kit de Reparo', 461},
        },
        ['Salario'] = 30000,
        ['Cooldown'] = 120 -- em segundos
    },
    ['Alpha'] = {
        ['Veiculos'] = {
            {'Moto', 521},
        },
        ['Armamentos'] = {
            {'Glock', 47},
        },
        ['Personagens'] = {
            {'Personagem 1', 461},
            {'Personagem 2', 461},
        },
        ['Outros'] = {
            {'Vida', 461},
            {'Colete', 461},
            {'Kit de Reparo', 461},
        },
        ['Salario'] = 20000,
        ['Cooldown'] = 120 -- em segundos
    },
}

notifyS = function(player, message, type)
    exports['FR_DxMessages']:addBox(player, message, type)
end

notifyC = function(message, type)
    exports['FR_DxMessages']:addBox(message, type)
end

giveItem = function(player, id, quantity)
    exports['[BAR]Inventario']:giveItem(player, id, quantity)
end

formatNumber = function(number)
    if number then
        local formatted = number   
        while true do       
            formatted, k = string.gsub(formatted, "^(-?%d+)(%d%d%d)", '%1.%2')     
            if ( k==0 ) then       
                break   
            end   
        end   
        return formatted 
    end
end 

removeHex = function(message)
	if (type(message) == 'string') then
		while (message ~= message:gsub('#%x%x%x%x%x%x', '')) do
			message = message:gsub('#%x%x%x%x%x%x', '')
		end
	end
	return message or false
end